#!/usr/bin/env python3
# -*- coding: utf-8 -*- 

#-------------------------------------------------
# IMPORTS
#-------------------------------------------------
import re

#-------------------------------------------------
# MODULES
#-------------------------------------------------

# pattern regex find
def checkRegex(pattern,string):
    if re.search(pattern,string):
        return True
    else:
        return False
    
def checkRegexLastPath(pattern,string):
    # get last element of given path
    name = re.compile("/[^/]*$").search(string).group()
    # test regex
    if re.search(pattern,name):
        return True
    else:
        return False

# non-numeric characters
def numbersOnly(string):
    return re.sub("[^0-9]", "", string)


# parse str value from 'var=value' format
def getValue(string):
    return re.sub('.*=(.*)', '\\1', string)

# parse macOS version
def macVersionFilter(ver_input):
    
    #only take '1x.xx'
    ver_output = re.sub('(\d+.\d+).\d+', '\\1', ver_input)
    return(ver_output)
